## org.apache.lucene.analysis.standard
Class ClassicTokenizerFactory

    java.lang.Object
      org.apache.lucene.analysis.util.AbstractAnalysisFactory
          org.apache.lucene.analysis.util.TokenizerFactory
              org.apache.lucene.analysis.standard.ClassicTokenizerFactory

    public class ClassicTokenizerFactory

extends TokenizerFactory

Factory for `ClassicTokenizer`.

     <fieldType name="text_clssc" class="solr.TextField" positionIncrementGap="100">
       <analyzer>
         <tokenizer class="solr.ClassicTokenizerFactory" maxTokenLength="120"/>
       </analyzer>
     </fieldType>

Field Summary

Fields inherited from class org.apache.lucene.analysis.util.AbstractAnalysisFactory
`args, luceneMatchVersion`

Constructor Summary
`ClassicTokenizerFactory()`

Method Summary
`Tokenizer` `create(Reader input)` Creates a TokenStream of the specified input
`void` `init(Map<String,String> args)` Initialize this factory via a set of key-value pairs.

Methods inherited from class org.apache.lucene.analysis.util.TokenizerFactory
`availableTokenizers, forName, lookupClass, reloadTokenizers`

Methods inherited from class org.apache.lucene.analysis.util.AbstractAnalysisFactory
`assureMatchVersion, getArgs, getBoolean, getBoolean, getInt, getInt, getInt, getLines, getLuceneMatchVersion, getOriginalArgs, getPattern, getSnowballWordSet, getWordSet, setLuceneMatchVersion, splitFileNames`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClassicTokenizerFactory

    public ClassicTokenizerFactory()

Method Detail

### init

    public void init(Map<String,String> args)

  Description copied from class: `AbstractAnalysisFactory`
  Initialize this factory via a set of key-value pairs.

  Overrides:
    `init` in class `AbstractAnalysisFactory`

### create

    public Tokenizer create(Reader input)

  Description copied from class: `TokenizerFactory`
  Creates a TokenStream of the specified input

  Specified by:
    `create` in class `TokenizerFactory`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.